ObservableSet.ChangeType (Groovy 2.4.3)
Date: 2015-03-23

groovy.util

## Enum ObservableSet.ChangeType

- java.lang.Object
- - java.lang.Enum<ObservableSet.ChangeType>
  - - groovy.util.ObservableSet.ChangeType

- All Implemented Interfaces:
    Serializable, Comparable<ObservableSet.ChangeType>
  Enclosing class:
    ObservableSet<E>

      public static enum ObservableSet.ChangeType
      extends Enum<ObservableSet.ChangeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED`
    `CLEARED`
    `MULTI_ADD`
    `MULTI_REMOVE`
    `NONE`
    `REMOVED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Object` | `newValue`
    `static Object` | `oldValue`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObservableSet.ChangeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ObservableSet.ChangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDED

          public static final ObservableSet.ChangeType ADDED

    - #### REMOVED

          public static final ObservableSet.ChangeType REMOVED

    - #### CLEARED

          public static final ObservableSet.ChangeType CLEARED

    - #### MULTI_ADD

          public static final ObservableSet.ChangeType MULTI_ADD

    - #### MULTI_REMOVE

          public static final ObservableSet.ChangeType MULTI_REMOVE

    - #### NONE

          public static final ObservableSet.ChangeType NONE

  - ### Field Detail

    - #### oldValue

          public static final Object oldValue

    - #### newValue

          public static final Object newValue

  - ### Method Detail

    - #### values

          public static ObservableSet.ChangeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObservableSet.ChangeType c : ObservableSet.ChangeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObservableSet.ChangeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null